<?php
/**
 * Copyright © 2016 Magento. All rights reserved.
 * See COPYING.txt for license details.
 */

// @codingStandardsIgnoreFile

/** @var $block \Magento\Checkout\Block\Cart\Sidebar */
?>
<?php $themeHelper = $this->helper('MGS\Mpanel\Helper\Data'); ?>
<?php $enbCartDropdown = $themeHelper->getStoreConfig('mgstheme/general/cart_dropdown');
$helper = $this->helper('\Magento\Checkout\Helper\Cart');

?>

<div data-block="minicart" class="minicart-wrapper<?php if($enbCartDropdown): ?> minicart-wrapper--dropdown<?php endif ?>">
    <a class="action showcart" href="<?php /* @escapeNotVerified */ echo $block->getShoppingCartUrl(); ?>"
       data-bind="scope: 'minicart_content'">
        <span class="counter qty empty"
              data-bind="css: { empty: !!getCartParam('summary_count') == false }, blockLoader: isLoading">
            <span class="counter-number"><!-- ko text: getCartParam('summary_count') --><!-- /ko --></span>
            <span class="counter-label">
            <!-- ko if: getCartParam('summary_count') -->
                <!-- ko text: getCartParam('summary_count') --><!-- /ko -->
                <!-- ko i18n: 'items' --><!-- /ko -->
            <!-- /ko -->
            </span>
        </span>
        <span class="label"><?php echo __('My Cart') ?> </span>
    </a>
    <?php if ($block->getIsNeedToDisplaySideBar()): ?>
        <div class="block block-minicart empty"
             data-role="dropdownDialog"
             data-mage-init='{"dropdownDialog":{
                "appendTo":"[data-block=minicart]",
                "triggerTarget":".showcart",
                "timeout": "2000",
                "closeOnMouseLeave": false,
                "closeOnEscape": true,
                "triggerClass":"active",
                "parentClass":"active",
                "buttons":[]}}'>
            <div id="minicart-content-wrapper" data-bind="scope: 'minicart_content'">
                <h3 class="close-minicart">
                    <?php echo $block->getChildHtml('minicart.addons'); ?>
                    <button id="close-minicart"><i class="close-cart pe-7s-close pa"></i></button>
                </h3>

                <?php
                    if($helper->getSummaryCount() <= 0){
                        //echo "<p class='text-center'>cart is empty</p>";
                    }
                ?>

                <!-- ko template: getTemplate() --><!-- /ko -->


            <?php
                // Get all visible items in cart
                $stockstatus = $block->getCartOutOfStock();
                if($stockstatus == false){
                    echo "<p class='text-center' style='margin-top: 20px;color: red;'>Some of the products are out of stock.</p>" ;
                }
                ?>
            </div>
            <div id="crosssellmini">
            <?php echo $this->getLayout()->createBlock("Kcn\MinicartQty\Block\Cart\Sidebar")->setTemplate("Magento_Checkout::cart/crosssell.phtml")->toHtml();?>
            </div>

        </div>
    <?php endif ?>

    <script>
        window.checkout = <?php /* @escapeNotVerified */ echo \Zend_Json::encode($block->getConfig()); ?>;
    </script>
    <script type="text/x-magento-init">
    {
        "[data-block='minicart']": {
            "Magento_Ui/js/core/app": <?php /* @escapeNotVerified */ echo $block->getJsLayout();?>
        },
        "*": {
            "Magento_Ui/js/block-loader": "<?php /* @escapeNotVerified */ echo $block->getViewFileUrl('images/loader-1.gif'); ?>"
        }
    }
    </script>
     <script>

/*require([
    'jquery',
    'mage/translate',
    'jquery/ui',
    'Magento_Catalog/js/catalog-add-to-cart'
], function($, $t,ui, addcart) {
    "use strict";   
 
    $.mage.catalogAddToCart.prototype.ajaxCross();
});*/
     </script>
</div>
